IRremoteESP8266

Public Attributes | List of all members
stdAc::state_t Struct Reference

Structure to hold a common A/C state. More...

`#include <IRsend.h>`

## Public Attributes
decode_type_t | protocol = decode_type_t::UNKNOWN
int16_t | model = -1
bool | power = false
stdAc::opmode_t | mode = stdAc::opmode_t::kOff
float | degrees = 25
bool | celsius = true
stdAc::fanspeed_t | fanspeed = stdAc::fanspeed_t::kAuto
stdAc::swingv_t | swingv = stdAc::swingv_t::kOff
stdAc::swingh_t | swingh = stdAc::swingh_t::kOff
bool | quiet = false
bool | turbo = false
bool | econo = false
bool | light = false
bool | filter = false
bool | clean = false
bool | beep = false
int16_t | sleep = -1
int16_t | clock = -1
stdAc::ac_command_t | command = stdAc::ac_command_t::kControlCommand
bool | iFeel = false
float | sensorTemperature = kNoTempValue

## Detailed Description

Structure to hold a common A/C state.

## Member Data Documentation

## ◆ beep

bool stdAc::state_t::beep = false

## ◆ celsius

bool stdAc::state_t::celsius = true

## ◆ clean

bool stdAc::state_t::clean = false

## ◆ clock

int16_t stdAc::state_t::clock = -1

## ◆ command

stdAc::ac_command_t stdAc::state_t::command = stdAc::ac_command_t::kControlCommand

## ◆ degrees

float stdAc::state_t::degrees = 25

## ◆ econo

bool stdAc::state_t::econo = false

## ◆ fanspeed

stdAc::fanspeed_t stdAc::state_t::fanspeed = stdAc::fanspeed_t::kAuto

## ◆ filter

bool stdAc::state_t::filter = false

## ◆ iFeel

bool stdAc::state_t::iFeel = false

## ◆ light

bool stdAc::state_t::light = false

## ◆ mode

stdAc::opmode_t stdAc::state_t::mode = stdAc::opmode_t::kOff

## ◆ model

int16_t stdAc::state_t::model = -1

## ◆ power

bool stdAc::state_t::power = false

## ◆ protocol

decode_type_t stdAc::state_t::protocol = decode_type_t::UNKNOWN

## ◆ quiet

bool stdAc::state_t::quiet = false

## ◆ sensorTemperature

float stdAc::state_t::sensorTemperature = kNoTempValue

## ◆ sleep

int16_t stdAc::state_t::sleep = -1

## ◆ swingh

stdAc::swingh_t stdAc::state_t::swingh = stdAc::swingh_t::kOff

## ◆ swingv

stdAc::swingv_t stdAc::state_t::swingv = stdAc::swingv_t::kOff

## ◆ turbo

bool stdAc::state_t::turbo = false

The documentation for this struct was generated from the following file:

- src/IRsend.h